/*******************************************************************************
 * Copyright (c) 2016 Dec. Verimag. All rights reserved.
 * @author Hang YU
 * Double class provides comparison method with considering the precision
 * of float point numbers
*******************************************************************************/

class Double {
public:
  static bool IsLessThan(double d1, double d2) {
    return d1 + _epsilon < d2 ;  
  }

  static bool AreEqual(double d1, double d2) {
    double diff = d1 - d2 ;
    return (diff < _epsilon && diff > - _epsilon) ;
  }
  
  static bool IsLessEq(double d1, double d2) {
    bool res = IsLessThan(d1, d2) || AreEqual(d1, d2) ;
    return res ;  
  }
private:
  const static double _epsilon ;
} ;

const double Double::_epsilon = 1e-4 ;
