#include <iostream>
#include "apronInterface.h"
#include "ioInterface.h"
#include "glpkInterface.h"

int main (int argc, char* argv[]) {
  if(argc != 2) {
    std::cerr << "usage: " << argv[0] << " <filename>" << std::endl ;
    return -1 ; 
  }
  std::vector<Polyhedron> polyVec = IoInterface::LoadPolyhedra(argv[1]) ;
  bool res ;
  int idx = 0 ;
  for (auto poly : polyVec) {
    poly.Minimize() ; 
    //poly.MinimizeSimple() ;
    res = poly.EqualApronMinimize() ;
    if (res == true) {
      std::cout << "Minimized polyhedra " << idx << " are equal." << std::endl ;
    }
    else {
      std::cout << "Minimized polyhedra " << idx << " are NOT equal." << std::endl ;
      abort() ;
    }
    ++ idx ;
  } 
  std::cout << "All the minimized polyhedra are equal." << std::endl ;    

  return 0 ;
}
